ProjectTokens


GET /{o}/{p}/tokens

List project API tokens

Returns token metadata only — never the secret value.

Auth: Bearer token required · Permission: tokens:manage

Path parameters

NameTypeDescription
ostring
pstring

Responses

StatusDescriptionSchema
200Project tokens (metadata only)ProjectTokenList

POST /{o}/{p}/tokens

Create a project API token

Returns the full token value exactly once. Optionally scope to an env and/or cell values.

Auth: Bearer token required · Permission: tokens:manage

Path parameters

NameTypeDescription
ostring
pstring

Request body (application/json)

FieldTypeDescription
namestring(required)
roleowner | admin | member | viewer
expiresAtstring(date-time)
envNamestring
cellScopesarray,null

Responses

StatusDescriptionSchema
201Created token (includes the one-time raw value)ProjectTokenCreated
400No active org or env not foundError
401UnauthorizedError
404Organization not foundError

DELETE /{o}/{p}/tokens/{tokenId}

Revoke a project API token

Auth: Bearer token required · Permission: tokens:manage

Path parameters

NameTypeDescription
ostring
pstring
tokenIdstring

Responses

StatusDescriptionSchema
200Revokedobject
404Token not foundError

GET /orgs/{orgId}/projects/{projectId}/tokens

List project API tokens

Returns token metadata only — never the secret value.

Auth: Bearer token required · Permission: tokens:manage

Path parameters

NameTypeDescription
orgIdstring
projectIdstring

Responses

StatusDescriptionSchema
200Project tokens (metadata only)ProjectTokenList

POST /orgs/{orgId}/projects/{projectId}/tokens

Create a project API token

Returns the full token value exactly once. Optionally scope to an env and/or cell values.

Auth: Bearer token required · Permission: tokens:manage

Path parameters

NameTypeDescription
orgIdstring
projectIdstring

Request body (application/json)

FieldTypeDescription
namestring(required)
roleowner | admin | member | viewer
expiresAtstring(date-time)
envNamestring
cellScopesarray,null

Responses

StatusDescriptionSchema
201Created token (includes the one-time raw value)ProjectTokenCreated
400No active org or env not foundError
401UnauthorizedError
404Organization not foundError

DELETE /orgs/{orgId}/projects/{projectId}/tokens/{tokenId}

Revoke a project API token

Auth: Bearer token required · Permission: tokens:manage

Path parameters

NameTypeDescription
orgIdstring
projectIdstring
tokenIdstring

Responses

StatusDescriptionSchema
200Revokedobject
404Token not foundError

Schemas

Error

FieldTypeDescription
errorstring(required)
codestring

ProjectTokenCreated

FieldTypeDescription
idstring(required)
namestring(required)
tokenPrefixstring,null(required)
rolestring,null(required)
envNamestring,null(required)
cellScopesarray,null(required)
expiresAtstring | string | null(required)
enabledboolean
createdAtstring | string(required)
tokenstring(required)

ProjectTokenList

Type: object[]